/*	$Id: c-bsd2.c,v 1.1.1.1 2005/09/25 22:25:52 tho Exp $ */

/*
 * Copyright (c) 2008 IS/AIST-ST2I/CNRS
 *	Joint Japanese-French Robotics Laboratory (JRL).
 * All rights reserved.
 *
 * Redistribution and use  in source  and binary  forms,  with or without
 * modification, are permitted provided that the following conditions are
 * met:
 *
 *   1. Redistributions of  source  code must retain the  above copyright
 *      notice, this list of conditions and the following disclaimer.
 *   2. Redistributions in binary form must reproduce the above copyright
 *      notice,  this list of  conditions and the following disclaimer in
 *      the  documentation  and/or  other   materials provided  with  the
 *      distribution.
 *
 * THIS  SOFTWARE IS PROVIDED BY  THE  COPYRIGHT HOLDERS AND CONTRIBUTORS
 * "AS IS" AND  ANY  EXPRESS OR IMPLIED  WARRANTIES,  INCLUDING,  BUT NOT
 * LIMITED TO, THE IMPLIED WARRANTIES  OF MERCHANTABILITY AND FITNESS FOR
 * A PARTICULAR  PURPOSE ARE DISCLAIMED. IN  NO EVENT SHALL THE COPYRIGHT
 * HOLDERS OR      CONTRIBUTORS  BE LIABLE FOR   ANY    DIRECT, INDIRECT,
 * INCIDENTAL,  SPECIAL,  EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,
 * BUT NOT LIMITED TO, PROCUREMENT OF  SUBSTITUTE GOODS OR SERVICES; LOSS
 * OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
 * ON ANY THEORY OF LIABILITY, WHETHER IN  CONTRACT, STRICT LIABILITY, OR
 * TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE
 * USE   OF THIS SOFTWARE, EVEN   IF ADVISED OF   THE POSSIBILITY OF SUCH
 * DAMAGE.
 */

/* --- Authored by Anthony Mallet on Sun Apr 13 2008 --- */

#include <portLib.h>

#include "server/speettHeader.h"


/* --- local data ---------------------------------------------------- */

/** Sentence stack */
extern char **spt_sentences_stk;
extern unsigned int spt_sentences_count;


/* --- speettFlushCntrl ---------------------------------------------- */

/** control codel of CONTROL request Flush
 *
 * Returns:    OK or ERROR
 */

STATUS
speettFlushCntrl(int *report)
{
  int i;

  if (spt_sentences_count == 0) return OK;

  for(i=0; i<spt_sentences_count; i++)
    free(spt_sentences_stk[i]);
  free(spt_sentences_stk);

  spt_sentences_stk = NULL;
  spt_sentences_count = 0;

  return OK;
}


